Unity plugin V4 [deprecated]

At a glance:  The Unity V4 plugin is deprecated. We recommend migrating to the Unity V6 plugin to fully enable app attribution and reporting for mobile apps developed on the Unity development platform. 

Unity.png

Migrating to Unity plugin V6

A Unity plugin V6 is available, allowing app owners and developers to support iOS 14. The V6 plugin also includes significant API method changes from previous versions. To update your plugin from an earlier (V4) version, requires removing/replacing the old plugin. See the full Unity V6 plugin integration guide for developers.

1. 总揽- Unity V4

AppsFlyer的Unity SDK V4为Android和IOS的Unity项目提供了移动应用安装和事件记录的功能。测量安装,回话和应用内事件,以评估ROI及应用内用户互动程度。

在Unity平台上开发的移动应用只需要继承AppsFlyer的SDK,即可追踪Android和IOS生成的应用。

本指南说明了如何将AppsFlyer的SDK集成到您的Unity代码中,以便在iOS和Android应用程序中使用。

1.1 SDK集成概述

选项卡 内容 结果

[必须]配置

如何添加并配置SDK:

App面板显示

  • 新的自然安装
  • 新的非自然安装

[Recommended]
Core APIs

如何使用核心API来:

  • 衡量应用内事件
  • 衡量收入
  • 实现深层链接
  • 收集转化数据

App面板显示

  • 应用内事件
  • 收入

实现:

  • 实现深层链接

其他API

如何配置并使用可选API来实现:

  • 衡量卸载
  • 推荐(用户邀请)
  • 通知推送

实现:

  • 监测卸载
  • 推荐
  • 通过推送通知与用户互动
  • 处理用户隐私方案等。

API参考

开发人员快速SDK API参考

1.2 SDK兼容性

AppsFlyer SDK支持:

  • 与Unity 5及更高版本的集成。
  • 从Unity插件v4.16.0开始的Google Play Install Referrer API
    • 为了使用新的Referrer API,请更新插件到v4.16.0及更高版本。
这篇文章有帮助吗?

此组别内的文章